import java.util.Random;

public class DummyBot extends SmartBot {

    Random random;

    protected DummyBot(String[] args) {
        super(args);
        random = new Random();
    }

    public static void main(String[] args) {
        Bot bot = new DummyBot(args);
        bot.run();
    }

    @Override
    protected char nextMove(View view) throws Exception {
        int move = random.nextInt(0, 7);
        return switch (move) {
            case 1,2,3 -> FORWARD;
            case 4 -> LEFT;
            case 5 -> RIGHT;
            case 6 -> SHOOT;
            default -> 0;
        };
    }

}
